qiaoba:
  file-upload-path: C:/${spring.application.name}/uploadPath/
  datasource:
    master:
      driver: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://localhost:3306/${spring.application.name}?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowMultiQueries=true
      username: root
      password: root
      pool:
        init: 5 #连接池初始化大小
        min: 10 #最小空闲连接数
        max: 20 #最大连接数
    slaves:
      - driver: com.mysql.cj.jdbc.Driver
        url: jdbc:mysql://121.5.136.69:3306/qiaoba-boot-1?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowMultiQueries=true
        username: root
        password: LpYN7LUoL?l0OSpR2
        pool:
          init: 5
          min: 10
          max: 20
        weight: 2 #权重 默认 1
        is-use: true #是否使用 默认 true
      - driver: com.mysql.cj.jdbc.Driver
        url: jdbc:mysql://127.0.0.1:3306/qiaoba-boot?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowMultiQueries=true
        username: root
        password: root
        pool:
          init: 5
          min: 10
          max: 20
        is-use: false # 不使用该库

    # 连接测试query（配置检测连接是否有效）
    connectionTestQuery: SELECT 1
    # 多久检查一次连接的活性
    keepaliveTime: 30000

mybatis-plus:
  configuration:
    # 自动驼峰命名规则（camel case）映射
    mapUnderscoreToCamelCase: true
    # MyBatis 自动映射策略
    # NONE：不启用 PARTIAL：只对非嵌套 resultMap 自动映射 FULL：对所有 resultMap 自动映射
    autoMappingBehavior: PARTIAL
    # MyBatis 自动映射时未知列或未知属性处理策
    # NONE：不做处理 WARNING：打印相关警告 FAILING：抛出异常和详细信息
    autoMappingUnknownColumnBehavior: NONE
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

logging:
  level:
    com.qiaoba: debug #开发环境输出sql日志
